# gnupg_cleardecryptkeys

(PECL gnupg >= 0.5)

gnupg_cleardecryptkeys — Removes all keys which were set for decryption before

### Description

gnupg_cleardecryptkeys ( resource `$identifier` ) : bool

### Parameters

`identifier`

  The gnupg identifier, from a call to gnupg_init() or gnupg.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Procedural gnupg_cleardecryptkeys() example

`<?php
$res = gnupg_init();
gnupg_cleardecryptkeys($res);
?>`

Example #2 OO gnupg_cleardecryptkeys() example

`<?php
$gpg = new gnupg();
$gpg -> cleardecryptkeys();
?>`